TWiki> BL4S Web>LabviewEventDisplay (revision 1)EditAttachPDF

LabView 2013 Installation

In order to install LabView 2013 32bit (64bit doesn't work correctly) on SLC6 please first install the following dependencies:

    $> sudo yum install -y glibc.i686 libstdc++.i686 libXinerama.i686 mesa-libGL.i686
  
Afterwards, you may start installation using packages available on AFS:
    $> cd  /afs/cern.ch/sw/natinst/LabVIEW2013/32bit/labview_core
    $> sudo ./INSTALL
  
Please install everything except "NI VISA Drivers" as they are not required. Now, one can start LabView with a command
 
    $> labview  
  

AMC Installation

The Asynchronous Message Communication (AMC) Library is a general purpose LabVIEW API for sending messages within a process, between processes, and between different LabVIEW targets (systems on a network) in a LabVIEW application. BL4S event display requires this extension (add-on). It can be installed with VI Package Manager.

First please download a VIPM 2014 zip file dedicated for Linux and extract it. The archive can be found on the following page: http://vipm.jki.net/download The structure should be similar to this:

.
|-- JKI
|   `-- VIPM
|       |-- cache
|       |-- databases
|       |   |-- LV 13.0
|       |   |   |-- ni_lib_amc
|       |   |   |-- ni_lib_keyed_array
|       |   |   `-- ni_lib_string
|       |   |-- LV 13.0 (64-bit)
|       |   |-- System
|       |   `-- duplicate-files
|       |-- error
|       |-- help
|       |   |-- AKLinks
|       |   |-- Customize
|       |   |-- HTMLSearch
|       |   |-- Images
|       |   |   `-- Theme
|       |   |       |-- Backgrounds
|       |   |       |-- ButtonsAndIcons
|       |   |       `-- Skin
|       |   |           |-- Left
|       |   |           `-- Main
|       |   |-- ImagesExt
|       |   |-- LinksExt
|       |   |-- ProjectInfo
|       |   `-- Theme
|       |-- icons
|       |   `-- linux
|       `-- support
|           |-- LV8 support
|           |-- callbacks.llb
|           |-- custom action
|           `-- primitives
`-- LabVIEW2013RTE_Linux
  

Please execute the following commands:

 
  $> cd ./JKI/VIPM
  $> sudo ./vipm
The root privileges (sudo) are required. Search for AMC package and install it.

Why Canít VI Package Manager (VIPM) Connect to LabVIEW?

If VIPM has a problem to connect to LabView Please follow this instructions: Connection problem solution

Running BL4S Event Display

To start the BL4S event display please type:
  $>  labview EventDisplay.vi
Edit | Attach | Watch | Print version | History: r2 < r1 | Backlinks | Raw View | Raw edit | More topic actions...
Topic revision: r1 - 2016-08-10 - OskarWyszynski
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    BL4S All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright &© 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback